#!/bin/sh
#
# source: http://ftp.gnome.org/pub/gnome/sources/libgnomecanvas/2.30/libgnomecanvas-2.30.1.tar.bz2
#
# maintainer: (package seek maintainer)
#

CWD=`pwd`
PKG=/tmp/package-libgnomecanvas

VERSION=2.30.1
ARCH=i486
BUILD=66.1
TMP="/tmp"
SLKCFLAGS="-O2 -march=i486 -mtune=i686"

rm -rf $PKG
mkdir -$PKG

cd $TMP
tar xjvf $CWD/libgnomecanvas-$VERSION.tar.bz2
cd libgnomecanvas-$VERSION
chown -R root:root .
find . \
 \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
./configure \
  --prefix=/usr \
  --sysconfdir=/etc \
  --localstatedir=/var/lib \
  --enable-static=no

make -j4
make install DESTDIR=$PKG

find $dest | xargs file | grep -e "executable" -e "shared object" \
  | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

mkdir -p $PKG/usr/doc/libgnomecanvas-$VERSION
cp -a \
  AUTHORS COPYING.LIB NEWS README \
  $PKG/usr/doc/libgnomecanvas-$VERSION
( cd $PKG/usr/doc/libgnomecanvas-$VERSION ; ln -s /usr/share/gtk-doc/html/libgnomecanvas html )

mkdir -p $PKG/usr/src/libgnomecanvas-$VERSION
cp $CWD/build-libgnomecanvas.sh $PKG/usr/src/libgnomecanvas-$VERSION/

#
# make a slack-desc file
#

mkdir -p $PKG/install
cat <<"EOF" > $PKG/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

              |-----handy-ruler-----------------------------------------------|
libgnomecanvas: libgnomecanvas - is the GNOME Canvas Library
libgnomecanvas:
libgnomecanvas: This is the GNOME Canvas Library.
libgnomecanvas:
libgnomecanvas:
libgnomecanvas:
libgnomecanvas:
libgnomecanvas:
libgnomecanvas:
libgnomecanvas:
libgnomecanvas:
EOF

cd $PKG
makepkg -l y -c n ../libgnomecanvas-$VERSION-$ARCH-$BUILD.txz
cd ..
md5sum libgnomecanvas-$VERSION-$ARCH-$BUILD.txz > libgnomecanvas-$VERSION-$ARCH-$BUILD.md5
